Bug 138734 - Documentation for apm does not correspond to actual behaviour
Documentation for apm does not correspond to actual behaviour
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: apmd (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 17:01 EST by Philip Gwyn
Modified: 2014-03-16 22:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 18:02:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Gwyn 2004-11-10 17:01:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040914

Description of problem:
The man page for apm talks about the following switches :
          -i, --ignore,  -n, --noignore

Apm's command usage simply says 
usage: apm [-vmMsSin] [--verbose] [--minutes] [--monitor] [--suspend]
[--standby]

(omitting --ignore and --noignore)

However, if I try to use -i or -n, apm spits out the usage, implying
an error.

Version-Release number of selected component (if applicable):
apmd-3.0.2-24

How reproducible:
Always

Steps to Reproduce:
1. Log in
2. Type `apm -i` or `apm -n`
3. PROFIT!
    

Actual Results:  usage: apm [-vmMsSin] [--verbose] [--minutes]
[--monitor] [--suspend] [--standby]


Expected Results:  Some message to the effect that "apmd will ignore
BIOS messages"

Additional info:
Comment 1 Bill Nottingham 2005-02-02 18:02:49 EST
This is probably something that needs fixed in upstream apmd.

Note You need to log in before you can comment on or make changes to this bug.